Subject: Re: bug#29347: 27.0.50; C-g doesn't quit minibuffer

From: Eli Zaretskii <[email-masked]>
Date: Sun, 19 Nov 2017 05:42:10 +0200

> From: Richard Stallman <[email-masked]>
> CC: [email-masked]
> Date: Sat, 18 Nov 2017 22:21:23 -0500
> 
> I just tried to make this fail starting from emacs -Q
> and couldn't do so.  The initial C-g failure, not quitting out
> of the minibuffer, doesn't happen right after startup.
> 
> However, once C-g fails to quit, it continues failing reliably.
> And it fails regardless of the purpose of the minibuffer.
> 
> I learned not to type C-g to get out of a minibuffer.
> First I tried giving operands that would be meaningless.
> Then I thought of using C-].

Did you try "C-x o"?  If that works, then it's not a bug, it means
you've entered recursive exit in the minibuffer in some way.